Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 109801

Summary: media-video/kavi2svcd-0.8.5 bump request
Product: Gentoo Linux Reporter: Sander van Grieken <sander>
Component: New packagesAssignee: media-video herd <media-video>
Status: RESOLVED WONTFIX    
Severity: enhancement    
Priority: High    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---

Description Sander van Grieken 2005-10-19 06:05:42 UTC
latest kavi2svcd version as of 20051019   
adds DVD support.  
 
keywords are taken from 0.8.4 ebuild, ~x86 changed to x86. 
stability on other ~archs not tested. 
 
SRC_URI hard set to sourceforge mirror and RESTRICT="nomirror" set to test 
locally. 
 
 
 
  

Reproducible: Always
Steps to Reproduce:
1.
2.
3.




# Copyright 1999-2005 Gentoo Foundation 
# Distributed under the terms of the GNU General Public License v2 
# 
$Header: /var/cvsroot/gentoo-x86/media-video/kavi2svcd/kavi2svcd-0.8.5.ebuild,v 
1.2 2005/10/19 16:22:52 you Exp $ 
 
inherit kde 
 
DESCRIPTION="GUI for generating VCD and DVD compliant MPEG files from an AVI or 
MPEG file" 
HOMEPAGE="http://www.cornelinux.de/web/linux/kavi2svcd/index-english.html" 
#SRC_URI="mirror://sourceforge/kavi2svcd/${P}.tar.gz" 
SRC_URI="http://kent.dl.sourceforge.net/sourceforge/kavi2svcd/${P}.tar.gz" 
RESTRICT="nomirror" 
 
SLOT="0" 
LICENSE="GPL-2" 
KEYWORDS="x86 ~ppc ~amd64" 
IUSE="cdr arts" 
 
DEPEND="sys-apps/sed 
        >=media-video/transcode-0.6.6 
        >=media-video/mjpegtools-1.6.0-r7 
        cdr? ( >=media-video/vcdimager-0.7.19 
                >=app-cdr/cdrdao-1.1.7-r1 )" 
need-kde 3 
 
S=${WORKDIR}/${P} 
 
src_unpack() { 
        kde_src_unpack 
        sed -i 's:;;$:;:' ${S}/src/{prefclass,vcdclass}.h || die 
}
Comment 1 Carsten Lohrke (RETIRED) gentoo-dev 2005-10-19 06:18:10 UTC
- never inline ebuilds, attach them
- don't attach ebuilds with stuff like RESTRICT=foo when not necessary
- don't attach an ebuild that doesn't change much, the version bump notice suffices
- a unified diff is preferred to an ebuild, when it makes sense to attach something
Comment 2 Jakub Moc (RETIRED) gentoo-dev 2005-12-05 14:28:15 UTC
package.masked, pending removal from portage.

WONTFIX.